package com.ruoyi.system.mapper.stamp;

import com.ruoyi.system.domain.stamp.StampExamine;
import com.ruoyi.system.domain.stamp.StampExamineExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StampExamineMapper {
    long countByExample(StampExamineExample example);

    int deleteByExample(StampExamineExample example);

    int deleteByPrimaryKey(String id);

    int insert(StampExamine record);

    int insertSelective(StampExamine record);

    List<StampExamine> selectByExample(StampExamineExample example);

    StampExamine selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StampExamine record, @Param("example") StampExamineExample example);

    int updateByExample(@Param("record") StampExamine record, @Param("example") StampExamineExample example);

    int updateByPrimaryKeySelective(StampExamine record);

    int updateByPrimaryKey(StampExamine record);
}